
if( SERVER ) then

	AddCSLuaFile( "shared.lua" );
	
	SWEP.HoldType = "pistol";

end

SWEP.PrintName = ".50 Caliber Pistol";
SWEP.Author				= "Disseminate"

if( CLIENT ) then
	
	SWEP.Slot = 2;
	SWEP.SlotPos = 2;
	SWEP.CSMuzzleFlashes	= true
	SWEP.ViewModelFOV		= 83;
	SWEP.ViewModelFlip		= true;
	
	SWEP.DrawCrosshair = false;
	
end

SWEP.Base = "weapon_ts_base";
SWEP.Category = "Starship Troopers";

SWEP.ViewModel			= "models/weapons/v_pist_deagle.mdl"
SWEP.WorldModel			= "models/weapons/w_pist_deagle.mdl"
SWEP.Primary.Sound			= Sound( "Weapon_Deagle.Single" )

SWEP.ViewModelFOV		= 40;

SWEP.InvSize = 2;
SWEP.InvWeight = 1;

SWEP.Primary.ClipSize = 18;
SWEP.Primary.DefaultClip = 32;
SWEP.Primary.Ammo = "pistol";
SWEP.Primary.Delay = 0.5;
SWEP.Primary.Damage = 50;
SWEP.Primary.Force = 5;
SWEP.Primary.RunCone = Vector( .035, .035, 0 );
SWEP.Primary.SpreadCone = Vector( .0235, .0235, 0 );
SWEP.Primary.CrouchSpreadCone = Vector( .015, .015, 0 );
SWEP.Primary.ViewPunch = Angle( -0.5, 0.0, 0 );
SWEP.Primary.Automatic = false;
-- y and z pos should swap.
SWEP.IronSightPos = Vector( 5.1584, 2.7502, -3.4687 );
SWEP.IronSightAng = Vector( 0, 0, 0 );
